import org.Hello.*;

import java.util.Properties;
import javax.naming.InitialContext;

public class HelloClient
{
 	public static void main(String args[]) 
 	{
		try {
			// Properties fr JNDI (hier: Nutzung von OpenEJB)
			Properties p = new Properties();
			p.put("java.naming.factory.initial",
				  "org.apache.openejb.client.RemoteInitialContextFactory");
			p.put("java.naming.provider.url", "ejbd://localhost:9006");
			// User + Passwort sind optional!
			if (args.length >= 2) {
				p.put("java.naming.security.principal", args[0]);
				p.put("java.naming.security.credentials", args[1]);
			}
			InitialContext ctx = new InitialContext(p);
	
    		Object obj = ctx.lookup("HelloImplRemote");
    		HelloRemote hello = (HelloRemote)obj;
    
    		System.out.println("Client: hello.sayHello()");
    		System.out.println(hello.sayHello());

    		System.out.println("Client: hello.sayGoodBye()");
    		System.out.println(hello.sayGoodBye());
	  	} 
	  	catch (Exception e) {
	    		e.printStackTrace();
  		}
 	}
}
